using System;
using System.Collections.Generic;

namespace Kvalifikacije_2
{
    class Madjionicar
    {
        static void Main(string[] args)
        {

            //Korak 1 - ucitavamo unesene podatke

            string[] unos = Console.ReadLine().Split();
            int n = int.Parse(unos[0]);
            int k = int.Parse(unos[1]);

            unos = Console.ReadLine().Split();
            List<int> x = new List<int>(n);
            foreach (string podatak in unos) {
                x.Add(int.Parse(podatak));
            }

            //Korak 2 - Trazimo index elementa sa vrenosti k i index elementa koji je za jedno mesto veci od k(odnosno index izvucene karte)

            int iK = x.IndexOf(k);
            int index = iK + 1;
            if (iK == n - 1) {
                index = 0;
            }

            //Korak 3 - ispisujemo mesto na trazenom indeksu

            Console.WriteLine(x[index]);
        }
    }
}